
from scipy.interpolate    import griddata
import matplotlib.pyplot as plt
import numpy as np

# . Read data.
phi, psi, E = np.loadtxt('lista.txt', unpack = True)

# . Use relative energy.
E = E - min(E)

# . Interpolate data.
grid_phi, grid_psi = np.mgrid[-180:180:360j, -180:180:360j]
grid_E = griddata ((phi, psi), E, (grid_phi, grid_psi), method='cubic')
levels = np.linspace (min(E), max(E), 50)

# . Prepare countour level plot.
plt.figure()
pes = plt.contourf (grid_phi, grid_psi, grid_E, levels=levels)
plt.colorbar (pes)
plt.title ('Contour plot  of 3D data')
plt.xlabel ('var1 (units)')
plt.ylabel ('var2 (units)')

plt.show()

